## push-it 0.0.3

=== src/Makefile ===
#############################################################################
# Makefile for building: Push-It
# Generated by qmake (2.01a) (Qt 4.6.3) on: Sat Jul 24 15:07:44 2010
# Project:  src.pro
# Template: app
# Command: /home/markus/software/Programs/qtsdk-2010.03/qt/bin/qmake -spec /home/markus/software/Programs/qtsdk-2010.03/qt/mkspecs/linux-g++-64 -unix CONFIG+=debug -o Makefile src.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DDATADIR=\"/usr/local/share\" -DPKGDATADIR=\"\" -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -m64 -pipe -g -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -m64 -pipe -g -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/home/markus/software/Programs/qtsdk-2010.03/qt/mkspecs/linux-g++-64 -I. -I/home/markus/software/Programs/qtsdk-2010.03/qt/include/QtCore -I/home/markus/software/Programs/qtsdk-2010.03/qt/include/QtGui -I/home/markus/software/Programs/qtsdk-2010.03/qt/include -I.
LINK          = g++
LFLAGS        = -m64 -Wl,-rpath,/home/markus/software/Programs/qtsdk-2010.03/qt/lib
LIBS          = $(SUBLIBS)  -L/home/markus/software/Programs/qtsdk-2010.03/qt/lib -lQtGui -L/home/markus/software/Programs/qtsdk-2010.03/qt/lib -L/usr/X11R6/lib64 -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /home/markus/software/Programs/qtsdk-2010.03/qt/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = main.cpp \
		mainwindow.cpp \
		timekeeper.cpp \
		aboutdialog.cpp \
		showfulllistdialog.cpp moc_mainwindow.cpp \
		moc_aboutdialog.cpp \
		moc_showfulllistdialog.cpp \
		moc_fullscreenexitbutton.cpp
OBJECTS       = main.o \
		mainwindow.o \
		timekeeper.o \
		aboutdialog.o \
		showfulllistdialog.o \
		moc_mainwindow.o \
		moc_aboutdialog.o \
		moc_showfulllistdialog.o \
		moc_fullscreenexitbutton.o
DIST          = /home/markus/software/Programs/qtsdk-2010.03/qt/mkspecs/common/g++.conf \
		/home/markus/software/Programs/qtsdk-2010.03/qt/mkspecs/common/unix.conf \
		/home/markus/software/Programs/qtsdk-2010.03/qt/mkspecs/common/linux.conf \
		/home/markus/software/Programs/qtsdk-2010.03/qt/mkspecs/qconfig.pri \
		/home/markus/software/Programs/qtsdk-2010.03/qt/mkspecs/features/qt_functions.prf \
		/home/markus/software/Programs/qtsdk-2010.03/qt/mkspecs/features/qt_config.prf \
		/home/markus/software/Programs/qtsdk-2010.03/qt/mkspecs/features/exclusive_builds.prf \
		/home/markus/software/Programs/qtsdk-2010.03/qt/mkspecs/features/default_pre.prf \
		/home/markus/software/Programs/qtsdk-2010.03/qt/mkspecs/features/debug.prf \
		/home/markus/software/Programs/qtsdk-2010.03/qt/mkspecs/features/default_post.prf \
		/home/markus/software/Programs/qtsdk-2010.03/qt/mkspecs/features/warn_on.prf \
		/home/markus/software/Programs/qtsdk-2010.03/qt/mkspecs/features/qt.prf \
		/home/markus/software/Programs/qtsdk-2010.03/qt/mkspecs/features/unix/thread.prf \
		/home/markus/software/Programs/qtsdk-2010.03/qt/mkspecs/features/moc.prf \
		/home/markus/software/Programs/qtsdk-2010.03/qt/mkspecs/features/resources.prf \
		/home/markus/software/Programs/qtsdk-2010.03/qt/mkspecs/features/uic.prf \
		/home/markus/software/Programs/qtsdk-2010.03/qt/mkspecs/features/yacc.prf \
		/home/markus/software/Programs/qtsdk-2010.03/qt/mkspecs/features/lex.prf \
		/home/markus/software/Programs/qtsdk-2010.03/qt/mkspecs/features/include_source_dir.prf \
		src.pro
QMAKE_TARGET  = Push-It
DESTDIR       = 
TARGET        = Push-It

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET):  $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: src.pro  /home/markus/software/Programs/qtsdk-2010.03/qt/mkspecs/linux-g++-64/qmake.conf /home/markus/software/Programs/qtsdk-2010.03/qt/mkspecs/common/g++.conf \
		/home/markus/software/Programs/qtsdk-2010.03/qt/mkspecs/common/unix.conf \
		/home/markus/software/Programs/qtsdk-2010.03/qt/mkspecs/common/linux.conf \
		/home/markus/software/Programs/qtsdk-2010.03/qt/mkspecs/qconfig.pri \
		/home/markus/software/Programs/qtsdk-2010.03/qt/mkspecs/features/qt_functions.prf \
		/home/markus/software/Programs/qtsdk-2010.03/qt/mkspecs/features/qt_config.prf \
		/home/markus/software/Programs/qtsdk-2010.03/qt/mkspecs/features/exclusive_builds.prf \
		/home/markus/software/Programs/qtsdk-2010.03/qt/mkspecs/features/default_pre.prf \
		/home/markus/software/Programs/qtsdk-2010.03/qt/mkspecs/features/debug.prf \
		/home/markus/software/Programs/qtsdk-2010.03/qt/mkspecs/features/default_post.prf \
		/home/markus/software/Programs/qtsdk-2010.03/qt/mkspecs/features/warn_on.prf \
		/home/markus/software/Programs/qtsdk-2010.03/qt/mkspecs/features/qt.prf \
		/home/markus/software/Programs/qtsdk-2010.03/qt/mkspecs/features/unix/thread.prf \
		/home/markus/software/Programs/qtsdk-2010.03/qt/mkspecs/features/moc.prf \
		/home/markus/software/Programs/qtsdk-2010.03/qt/mkspecs/features/resources.prf \
		/home/markus/software/Programs/qtsdk-2010.03/qt/mkspecs/features/uic.prf \
		/home/markus/software/Programs/qtsdk-2010.03/qt/mkspecs/features/yacc.prf \
		/home/markus/software/Programs/qtsdk-2010.03/qt/mkspecs/features/lex.prf \
		/home/markus/software/Programs/qtsdk-2010.03/qt/mkspecs/features/include_source_dir.prf \
		/home/markus/software/Programs/qtsdk-2010.03/qt/lib/libQtGui.prl \
		/home/markus/software/Programs/qtsdk-2010.03/qt/lib/libQtCore.prl
	$(QMAKE) -spec /home/markus/software/Programs/qtsdk-2010.03/qt/mkspecs/linux-g++-64 -unix CONFIG+=debug -o Makefile src.pro
/home/markus/software/Programs/qtsdk-2010.03/qt/mkspecs/common/g++.conf:
/home/markus/software/Programs/qtsdk-2010.03/qt/mkspecs/common/unix.conf:
/home/markus/software/Programs/qtsdk-2010.03/qt/mkspecs/common/linux.conf:
/home/markus/software/Programs/qtsdk-2010.03/qt/mkspecs/qconfig.pri:
/home/markus/software/Programs/qtsdk-2010.03/qt/mkspecs/features/qt_functions.prf:
/home/markus/software/Programs/qtsdk-2010.03/qt/mkspecs/features/qt_config.prf:
/home/markus/software/Programs/qtsdk-2010.03/qt/mkspecs/features/exclusive_builds.prf:
/home/markus/software/Programs/qtsdk-2010.03/qt/mkspecs/features/default_pre.prf:
/home/markus/software/Programs/qtsdk-2010.03/qt/mkspecs/features/debug.prf:
/home/markus/software/Programs/qtsdk-2010.03/qt/mkspecs/features/default_post.prf:
/home/markus/software/Programs/qtsdk-2010.03/qt/mkspecs/features/warn_on.prf:
/home/markus/software/Programs/qtsdk-2010.03/qt/mkspecs/features/qt.prf:
/home/markus/software/Programs/qtsdk-2010.03/qt/mkspecs/features/unix/thread.prf:
/home/markus/software/Programs/qtsdk-2010.03/qt/mkspecs/features/moc.prf:
/home/markus/software/Programs/qtsdk-2010.03/qt/mkspecs/features/resources.prf:
/home/markus/software/Programs/qtsdk-2010.03/qt/mkspecs/features/uic.prf:
/home/markus/software/Programs/qtsdk-2010.03/qt/mkspecs/features/yacc.prf:
/home/markus/software/Programs/qtsdk-2010.03/qt/mkspecs/features/lex.prf:
/home/markus/software/Programs/qtsdk-2010.03/qt/mkspecs/features/include_source_dir.prf:
/home/markus/software/Programs/qtsdk-2010.03/qt/lib/libQtGui.prl:
/home/markus/software/Programs/qtsdk-2010.03/qt/lib/libQtCore.prl:
qmake:  FORCE
	@$(QMAKE) -spec /home/markus/software/Programs/qtsdk-2010.03/qt/mkspecs/linux-g++-64 -unix CONFIG+=debug -o Makefile src.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/Push-It1.0.0 || $(MKDIR) .tmp/Push-It1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/Push-It1.0.0/ && $(COPY_FILE) --parents mainwindow.h timekeeper.h aboutdialog.hpp showfulllistdialog.hpp fullscreenexitbutton.h .tmp/Push-It1.0.0/ && $(COPY_FILE) --parents main.cpp mainwindow.cpp timekeeper.cpp aboutdialog.cpp showfulllistdialog.cpp .tmp/Push-It1.0.0/ && (cd `dirname .tmp/Push-It1.0.0` && $(TAR) Push-It1.0.0.tar Push-It1.0.0 && $(COMPRESS) Push-It1.0.0.tar) && $(MOVE) `dirname .tmp/Push-It1.0.0`/Push-It1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/Push-It1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


check: first

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc_mainwindow.cpp moc_aboutdialog.cpp moc_showfulllistdialog.cpp moc_fullscreenexitbutton.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc_mainwindow.cpp moc_aboutdialog.cpp moc_showfulllistdialog.cpp moc_fullscreenexitbutton.cpp
moc_mainwindow.cpp: fullscreenexitbutton.h \
		timekeeper.h \
		mainwindow.h
	/home/markus/software/Programs/qtsdk-2010.03/qt/bin/moc $(DEFINES) $(INCPATH) mainwindow.h -o moc_mainwindow.cpp

moc_aboutdialog.cpp: aboutdialog.hpp
	/home/markus/software/Programs/qtsdk-2010.03/qt/bin/moc $(DEFINES) $(INCPATH) aboutdialog.hpp -o moc_aboutdialog.cpp

moc_showfulllistdialog.cpp: showfulllistdialog.hpp
	/home/markus/software/Programs/qtsdk-2010.03/qt/bin/moc $(DEFINES) $(INCPATH) showfulllistdialog.hpp -o moc_showfulllistdialog.cpp

moc_fullscreenexitbutton.cpp: fullscreenexitbutton.h
	/home/markus/software/Programs/qtsdk-2010.03/qt/bin/moc $(DEFINES) $(INCPATH) fullscreenexitbutton.h -o moc_fullscreenexitbutton.cpp

compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all:
compiler_uic_clean:
compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean 

####### Compile

main.o: main.cpp mainwindow.h \
		fullscreenexitbutton.h \
		timekeeper.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o main.o main.cpp

mainwindow.o: mainwindow.cpp mainwindow.h \
		fullscreenexitbutton.h \
		timekeeper.h \
		aboutdialog.hpp \
		showfulllistdialog.hpp
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o mainwindow.o mainwindow.cpp

timekeeper.o: timekeeper.cpp timekeeper.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o timekeeper.o timekeeper.cpp

aboutdialog.o: aboutdialog.cpp aboutdialog.hpp
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o aboutdialog.o aboutdialog.cpp

showfulllistdialog.o: showfulllistdialog.cpp showfulllistdialog.hpp
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o showfulllistdialog.o showfulllistdialog.cpp

moc_mainwindow.o: moc_mainwindow.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_mainwindow.o moc_mainwindow.cpp

moc_aboutdialog.o: moc_aboutdialog.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_aboutdialog.o moc_aboutdialog.cpp

moc_showfulllistdialog.o: moc_showfulllistdialog.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_showfulllistdialog.o moc_showfulllistdialog.cpp

moc_fullscreenexitbutton.o: moc_fullscreenexitbutton.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_fullscreenexitbutton.o moc_fullscreenexitbutton.cpp

####### Install

install_target: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/usr/local/bin/ || $(MKDIR) $(INSTALL_ROOT)/usr/local/bin/ 
	-$(INSTALL_PROGRAM) "$(QMAKE_TARGET)" "$(INSTALL_ROOT)/usr/local/bin/$(QMAKE_TARGET)"

uninstall_target:  FORCE

## push-it 0.0.2-1

=== debian/changelog ===
push-it (0.0.2-1) unstable; urgency=low

  * Initial release (Closes: #nnnn)  <nnnn is the bug number of your ITP>

 -- Markus Scharnowski <markus.scharnowski@gmail.com>  Sun, 18 Jul 2010 11:18:49 +0200

=== debian/control ===
Source: push-it
Section: user/utilities
Priority: extra
Maintainer: Markus Scharnowski <markus.scharnowski@gmail.com>
Build-Depends: debhelper (>= 5), libqt4-dev
Standards-Version: 3.7.2

Package: push-it
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
XB-Maemo-Display-Name: Push-It! One button stopwatch
XB-Description: Push-It! One button stopwatch. 
 This program should help you doing physical exercises or can serve as a simple 
 stopwatch. 
 Besides being a stopwatch it also provides some calculation (delta/average) 
 and customization.
XB-Maemo-Upgrade-Description: upgrade description shows up in place of the standard one when a user updates a package
XSBC-Bugtracker: http://code.google.com/p/push-it/issues/list
XB-Maemo-Icon-26:
 begin-base64 644 icon.png
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAIAAADYYG7QAAAACXBIWXMAAA9h
 AAAPYQGoP6dpAAATQ0lEQVRYhZWY22/l13Xf19q33+38zvnxkIeHQ4pDzkia
 0UQayTO2ojh2qiitEaBF4vRiBwGMJEaQp8BIUaBvReE/IXDQlz70oWkNJG7T
 BzVN4ESu6kDxDbE8M5LmTg7JIYc85Ln9fud327fVBzpAgcICtB829gb2wwdr
 7bW+372RiOBjx/mB85mRefz3P3x87858Oul2EiUlOi0AJZIg1M2CEZi6zGdz
 zqATBowH2nAHrNdL87psne0PBzxQxJGkWhmuyTAyhHHUUWHkCRFRfDzN/zfw
 wsb60cHj0WhUlJVkqOvKa0O2DYVAZztJlATByurg6OmhMaYqx71sVQWx8W4+
 nzfWRN0Oc1Z7my71rTHEuCc0wjAhERGY+KRAEKfdtLccxRNtmrZq26ol59BZ
 a32sZNVYIEbOHJ9N1lZXgjiZTGdx6hvTHJ+OkONSs4ze1FqHnVQ3LffgADkX
 jDEmpFLsEwNB3L384lXG5f7+/tH+3iwvylk+GY+qfH5hsKKr8vnL20kYgQqn
 pS7LshOlpsi990VRdHpdY4wxrUdwRpu2Ns4CciMl55wTgeCfFIgBUve5rZd7
 Wbq0PBgOy6J4fP/B4cnoU69/1ujmu9/5TtGarNu7tHVxMp8X81KqZDGftW1r
 vVmSsm31oq06aeqMbtsarUUubKsM5wwQAvnJgAjBVK2KQ54uXbqWXnrlOgBe
 +MH3x/P5yzduHuztY5g83D9KggkLoiLP+73e3tGzqiystVEUaE9VXVdN1csy
 a63RLTLLhLKm5S1nBC5UnxAIGFMBEUMGwAAQgEAk6WB988//118ePNmzjPfW
 Lrz+qZtS8sPTW7QooW3DKJbgAb0l3xjdam2ttdrYViMXnNAZq6FFAtN8wggB
 AJfSe0JCT87WmiOsrm384i+/VVT13uHR5cvPX9zc+Dd/+K+Pnz3z3/wv45OT
 RLDVfkbkpuNTJpUlaJp2sVgEQeCMZQSMMXLGIVrGnLEfB+Scc84JIRhjiAgA
 1lpABEDGYO/gKQDMJuPv/M3fbG5uFGXTGLc8vLB7cPRv/92/90Zfv379K7/7
 1QvrQ7AGkuiHb7/9vff+dnd3N0s7UZK0rW5brcKgm2XeOs4dkWubiv0sGmMM
 Y0wpxRhzztV1ba3lQpRlCRy09oxz51zVtEmano6ns7IYXFjfOdjTQJP53HE+
 2Ni4sHkRACFNgdgrN2/My6q3vDJYuzCb5to4Y4wxxmrdtq3W2hhjrcWP79RE
 1DRNFEXn29Px2cryigdgAETgnC8Wc6vNaDT642/80erq6mKe//7v/97Vq1e5
 Uq5ti9ksW12BMgdPEAe33v3ff/X221ma1mWRdRJECoIgTdOokwZhGMRREAQf
 l7K6rqWU5zRFUSilBssrBHBy/OzuR/ef7O3cuXNnZ2enLqujo6dRFG1tbd39
 6KOyKbe2tl577bU33nhjMBySM9jpAgF489qb//j9998/2NlZ6nYbbZVg3kNr
 HTdGSOm9997/zAg55zjn5wvGGACUZTmfz7/97W//5Cc/bhrdNNXp6an3nnMu
 Fc/zfGNjYz6fTyaTPM+DQF25cuXTn/7MF/7Jr165+gJzJCWHus7PRv/xP3zj
 +OnBxnAYKhnHcRRFYRwlSRJ1EiF/dpWd0xCRMSYMw6qq3n333bfffhvAP955
 mMSpCgQiqkB474UQw+Ewz/MkSfJ8fvHipvf+6OjobPztB4/3rl279nu/89sy
 DBudqzC8/urNpqzKumGMKeu1NdwI7Sw3xhN9XMrKsoyiKAzDu3fvfvOb37x1
 61YYqnw+7WdZr5dtbKzHcSKl6Ha7i8ViNpstFovBYLB1caOq6zzPi6JoWpvX
 9X/6z//10aNHb33+c//in/8GkH3zrV/50Q++r5vWegKGAIwIyaP34BwhEdFP
 Oxzg/0PTNE0Yhm3bvvPOX7/zzjuHh4fOOe/95nPrN2/e1Fqvr6+fHxgOh/fu
 3auqyjnX7y/FcTwajUZnp5Oz8cHR0c7+4fr6cyfPjn7uyotv/uJn/9WvfzEM
 1Yc/+N6f/smfZL2k3+2GoQqiOEqSMI4RURCAJTCNCSKJBPN5nmVdAAgCOZ9P
 P/zww7/8q7/IZ/MkDvN8/uu/9mtL3aW2ba++cDVJkjAMnXNExIiVebm5uZll
 2dLS0oXV9ePT0eT0LE27aafz5MnucCW7d+/e6WikuPjyl3/zwsZFLkWoJHjr
 LYSqFwWBMd4DibZ1MuBRJGvtIsWzrOu8Y4xZY+q6/sYf/9HS0lIURf3+0le/
 +rvOOcnU7dsfMCaEENvb21mWlWV58eL2fF6sra2HYSilyrJsdXXt7OxMKTUc
 9AWH07OJc+50NP7Tb/33s+PRc4Mlay0iBlJwjs6Ypmk8Ci6VYEjnotRWZay6
 ADAdTwaD5fF4/PWvf/259c2jo6dra2uvv/7zWbbUtu1gMLx7/2FRltPpFBhb
 bZq6rofD4aKq4k4HEcfTKSEi4t7Bwd0H93/5rc+h4A8e7niH82l++/YHTx48
 eGHzwvbaAACEEIyD994ZyxRTggsES46Q806snNWc80AJAPjWn/1ZFIbe+35/
 5Stf+W0ialuzuroGxK6/9mocRpPZNOv2yroiorpttNZxJ2GA0/nMOYecxXG8
 vb29vLwMAFJFnMn9J4flPB893X9vf2f7X/4GIiIiYygYCsG4lEopwcmRseSY
 lNIbC5x1u+ntW+/f/eBD7ezJ8enXvva10cnZ9vb29uVLT548UUq9cOXFRV4Y
 clIpX5cXt7fKugrjKO4koQryasEYB4Zbl7avvfySNQ15ZFw5S+PT2XA45M7s
 zM7SpBOqgDGGCFJKqRQiI28Zk4wrjk6DbZsyByLb1P/jW/+Ncx5K9Ztf+tLq
 6hoRMqbu3L4bxx0PJISY5fPJZDKdz6y1Sdo5Ozu7/cGdhw8flnWllKrbZjqd
 1m3jgQhBBmqwuvZzr1xff26jm/WiKOr3+0tLS3Ecc86RgIicN9q0VVUJcK1b
 LJrWlGU5XyyUfPbg0ePHDx5YoiCML126xBgbj6fv/+TPr1+/fuvWrc9+7hfm
 RbG0vMylREStdVnXT/b3Hzx69GR/f219XYVha0zEeZKm3ntjrFIqLypE3Nzc
 NFUzPnyaZVkQSCk5B6e10aYRQB4Ecibqk6ODp0+lDPKizMtqOpv/5PYHw9WV
 eV5+7pfeZIxxzj/12o3llUFVNVuXLnWXsrIswjA8OTkpiiLLMqXUcDi8cePG
 888/PxgM8jxv21YppZRalLlkLIzi2x8+OD0dA+HGxsbjbkpt77xfEBBZZ1rt
 iZAHggfi4NHDII7aumzrIlZKLPWO9ve4VGnSu3blajdbCpLEO3z11VeruhVC
 lGUZBAFjbHV1dW1tTUq5WCy2trauXr167dq1o6MjpZQQoiiKXq+XpqlAmE6n
 URRxzr33nV73pZdeeu9w/3zryDCOUnJkjIjAOxEIzqzlzkWMF0Wxs39wsLvb
 7a/cvHylk0RRFHnnGRfW2nOnFgcxIhljhBCLxaKuawCw1rZtO5lMDg4O0jTt
 9/vdbjcIgqqsrW5QiBevvvTi1ZeqeXm4v7d3nzPGzrWdgLz34LwD58kTIhPO
 NYuyWRS6rsp5Pjp6xhBXV/qKM2dspALGWBAETdNYa2fFDD2B91brNElCpRhA
 L03buh4dHwdSrq+tdTsdJDJta7Xudjpp1kPEqqqqsqnrxhiTJMnFixe99+ca
 hYhERM5768gZEQjprEXLy6YqptNnB/vT0Whfqjff+oInd3LybOfgQAaRA3z5
 5VeG2XCRT1UgvHVBEHQ7KWMsDqMfHR6S81pr8MSVWOplyFm1KIuiiDoRMoEe
 AUEGQbebJUkqhDi/QxzRAwKA99Z5QseEb00sg17cFUJxLsfTWVWbhkjX1fRs
 TJyfnhw7FA5wOBxm1giOSsiawGrDAJWQ0/Hk/b//8SIvJmfjOIxCFYAnZMAA
 hVRV2QgpEHAymc6nM11VWuumObetUgkgb8GCc1577wmFqRsZKEsMPF1c3+j2
 std//hdK4xzyza3NbGVw7dVXFrUpqnowGHjvndUMkHPeVDVjTDC+WCzI+TRN
 BeMrKytSyul0SkRCiDTpNvMZYyJvFo92d/Yf7woAk8/DMKzr2kTckACyjIGx
 TjvnCQUDrBalNvm0WPT6uiXf6y8HDlryQDQej8O0o00TJ+F5XTBAZ4wS4qde
 UcpOHP+jz39+bW2tn2WLPO90OlEQnJukk2fHGEjufRzHm5ub3MNiNjstplpr
 Y5RzjojzfzDvSADkxGw201pzqRhw8pDPcueh0iZIOo2aOoD+UuoCGaWJJVdW
 RZp0rLdMCGsaR+Sck0Hw6ddf55zHcdy2LRNiOp8zIZDzMI5AyLJsnPNZkobb
 W2cnQXF86K0jZIQchQRgHBn3xMgLhqKYTx2h9WVj6GwyASGtNiqU1jSWNA+C
 s71H6coaaOmIJ0niwTmy3ltg5NARUdgJiUh765uKMVabNk67xhMAIRPgGfdc
 cEbOlXUdAASSG9vu7h28cu3KZHTc7yWt0c5aDtjWlaiqygMjZARCSilUGAZK
 SsHI60UeQkfF0XR0fDiZg4rWt7ZVKAFAKaW1VYo555QKtdZSCs75eQ1b4733
 RESESiqANut0yyLvdbunRwcMIIqinXtPTs8m3nntCQiAM8EQQYrFYkHIkQuu
 YqEU55wjgvPGam1bYCjipDa+qapYRkrKbtIBhlEUjcdjyZVuSsHIaoPoLSJj
 AgDOmx4AIPC9Z7uPHu50k9i01fOXt5umqttmPJnsPNk9On426GfOOXAOyTMh
 LYIwxjiyyJ0AwaUEZsgZAPLOeHDYNDSfUhBvbax3ltfCMJqNJ8CZ77pqUUqu
 yHsphJJSisBaS4SMMeTiH5iY1cY6PZ5UTrdVtcoYK8tyMpnMazcej1eXlzwR
 eU/ecs+MMYLOJc6Bc84Y44F5BuQNBzLeMMmoEk57EaVSCHS2282895LJJEwk
 445xcCBQMABvrTVeCME59845Rw7s6upgZXWlXpTz6WlRzE9PR/fuffT0cN8D
 TPOp9c5aywGIiIgsWYGICAiI3ntrPKHmXDDOrG6raiEDJRLIF3kLLMmW+3FS
 a6Otqes6jmPnHCKWZSmE0FprrYGYEMJ775xjTKhANW0bxQEjb9p4OhkdHx8/
 fHR/NClTBedSKAV0wgAIkDHOuUDBGaEndM75tuXEmSSJzJNFJASvm7atmzBl
 Uoimqb/7d+9ZIMbYjRs3OJedTqdt6qgTUYuRlOfPy6Ioz5/ePdFjHObz6aIo
 xuPTqip3nzwuinkkYXV1SZu2rBc/BToPEoJAxhgy59AaZ63nDpEIUIRKCcEE
 sul03DrsZ704ULsHBzKQQN5a1816WmsVymbcamMa3TAm0Nk8z3d3d58+fSqE
 Wl5eunHjRlUWBO7Zs8OjgyfvvPPXxbxZ64f9fh/AWW2MaQG8c8467Zzjf/Cl
 L1aNJkAZR8a6siqrRTmbToAMIgBQY6wjkGHIg0BGEQT8yrWrly5fbtqGcZYX
 uXNOSN60TdpNnbfIcJ7Pllf6KlBhFCAROHt2cvLh7dt/8T/fPjo8XcmCFy5t
 kTVpJxYMAqWQSEkB5BFRbD1/2YuD8XRmHQklU9lVnKN3VTFGBAd0Nh4/2H3K
 P7p787O/dOW1TyESgJcShVCIfD6fHhwctG0bRUlZLZay/nA4MOb8j0wuZZlr
 9P3799777t/+6IffPz46HPTjlazrrWMI6M9dh/bWOucYMkQU2WA5HI/1eLyo
 67axCF4AmLYS6IoijzqRkDJOwtFsfufOrWlVbly5TOillEqpTqcrOPa6naYR
 Ta2zbhoG6vDpwXQy6ff7zprHDx8W09md93/8w+/93f6T3ThUayuraRx4qwVj
 SOCNNa3WWishBErGuTidToqqbI1tja11a632WtfFTKL3Tl9eunzzjTf+6dpz
 TihQMQTByeyUGBpjbFXXzkspe1EYC7F5bXM8Hk9OjqMoiiXbe3R/b2+vmM2/
 ++7/GR2fzKfjftbtpZ1ACSSnpJAADIm8dcaYtvVBQCQYY+Lw6HheLpiSiRAy
 jBA8J9JVpxNLxdmFCxdkIBZV4WTAPNmmyuKYMSaEAGDOOQAwjFWWHn/wUZZl
 IcHBg4dSyk4Uxch+/OGHerFYzKamrjq9XqSk163lrNNNwVkOCM47Y521ZB0j
 4ID8y//sV7R2TAguJReykyRZr9ftdnppstTrdbsd4Ly1nqlARQki6KoiYwIh
 FGdgfShEJwwlwoXBqmmaThhurl+4uP6caZpBv//GZz7zwuXnAynKxYK8lRw5
 QiBkoAQH5Iwk45LzUEqlVKiU4Jx/5Yu/qr0jREL0BEKKQEnyNg6V8w45cqlQ
 SRFElrDIi14cQWu4J9/quijQOU7UlmU1L9A57unZ/kGzKJn3K71MMvbyyy9n
 S5kQwrataVsOoKRkCIyAgWeIgnMlRaiCUEnBOf+tL37BWgfIOOecizBQknNn
 2iiQRD4IlArCxtqybZ1njDFf1W25EEwEUnHEOAwVl3VZIfnx6chqG0i10u+X
 RQGeCGA8mUadpJvEVVWNR6OmqQUyjsAQGZJAJgQPpQyCQEkhhPi/P8Dt4Qd7
 t04AAAAASUVORK5CYII=
 ====
Description: Push-It! One button stopwatch. 
 This program should help you doing physical exercises or can serve as a simple 
 stopwatch. 
 Besides being a stopwatch it also provides some calculation (delta/average) 
 and customization.

=== debian/rules ===
#!/usr/bin/make -f
APPNAME := push-it
builddir:
	mkdir -p builddir

builddir/Makefile: builddir
	cd builddir && qmake-qt4 PREFIX=/usr ../$(APPNAME).pro

build: build-stamp

build-stamp: builddir/Makefile
	dh_testdir
	# Add here commands to compile the package.
	cd builddir && $(MAKE)
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	# Add here commands to clean up after the build process.
	rm -rf builddir
	dh_clean
install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/your_appname
	cd builddir && $(MAKE) INSTALL_ROOT=$(CURDIR)/debian/$(APPNAME) install
# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installexamples
	dh_installman
	dh_link
	dh_strip #--dbg-package=my-application-dbg
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## push-it 0.1.1-1

=== debian/changelog ===
push-it (0.1.1-1) unstable; urgency=low

  * Added delta mode

 -- Markus Scharnowski <markus.scharnowski@gmail.com>  Sat, 14 Aug 2010 15:11:34 +0200

push-it (0.1.0-2) unstable; urgency=low

  * Added "start+pause" mode

 -- Markus Scharnowski <markus.scharnowski@gmail.com>  Sun,  1 Aug 2010 14:51:28 +0200

push-it (0.1.0-1) unstable; urgency=low

  * Initial release (Closes: #nnnn)  <nnnn is the bug number of your ITP>

 -- Markus Scharnowski <markus.scharnowski@gmail.com>  Sun,  1 Aug 2010 14:51:09 +0200

## push-it 0.1.4-2

=== debian/changelog ===
push-it (0.1.4-2) unstable; urgency=low

  * Fix to compile error

 -- Markus Scharnowski <markus.scharnowski@gmail.com>  Sun,  5 Sep 2010 10:46:48 +0200

push-it (0.1.4-1) unstable; urgency=low

  * Fix to issue 3.

 -- Markus Scharnowski <markus.scharnowski@gmail.com>  Sun,  5 Sep 2010 10:17:00 +0200

push-it (0.1.3-1) unstable; urgency=low

  * Added disableScreensaver to config file handling

 -- Markus Scharnowski <markus.scharnowski@gmail.com>  Sun, 15 Aug 2010 13:09:42 +0200

push-it (0.1.2-1) unstable; urgency=low

  * Added config file.

 -- Markus Scharnowski <markus.scharnowski@gmail.com>  Sat, 14 Aug 2010 22:39:49 +0200
